
function setup_banter()
	
	-- POST-BATTLE BANTER, BIOWARE STYLE --
	
	-- BEA
	generator.newBanter("winbattle")
	banter.addLine("Well-met, my ship-siblings! What glorious battle!", "beatrix")
	
	generator.newBanter("destroycolony")
	banter.addLine("It saddens me to see such wanton annihilation of civilian creatures.", "beatrix")
	banter.addLine("There is no glory here, only death.", "beatrix")
	banter.addLine("VILE NEMESIS MUST BE DESTROYED", "stolenrobot")
	
		--conrad

		--dovell
		
		--egrace
	generator.newBanter("winbattle")
	banter.addLine("Ship-sibling! How sing the stars this night?", "beatrix")
	banter.addLine("Ooh! That last explosion set off some sort of subspace resonance. Hear, have a listen.", "egrace")
	banter.addLine("...", "beatrix")
	banter.addLine("I recall hearing a similar chorus, long ago... it hearkens back to the days of whales.", "beatrix")
	banter.addLine("But what manner of beast could have such sorrow in its great heart now, here?", "beatrix")

		--hero

	
		--lias
	generator.newBanter("winbattle")
	banter.addLine("Why are there never any good coffee shops in alien space.", "lias")
	banter.addLine("True warriors quaff the fluids of their slain enemies!", "beatrix")
	banter.addLine("Or should they lack fluids, whichever form of matter is most agreeable to consumption.", "beatrix")
	banter.addLine("Well, that's disgusting.", "lias")
	
		--minat
	banter.addLine("Haha we are so strong!", "minat")
	banter.addLine("Indeed we are, ship-sibling! The battlefield is strewn with the floating carcasses of our prey. My lovelies will feast tonight.", "beatrix")
	banter.addLine("Let’s have a barbecue. And maybe some biscuitfish sushi, too.", "minat")
	banter.addLine("A splendid notion! Come, let us all feast.", "beatrix")
	
		--realhuman
	generator.newBanter("winbattle")
	banter.addLine("Why do we allow such a parasite to plague our travels?", "beatrix")
	banter.addLine("FELLOW HUMAN IS AUTHENTIC. WE HAVE ENGAGED IN SOCIAL BONDING.", "stolenrobot")
	banter.addLine(";) TEE HEE", "realhuman")


	
	-- CONRAD
	generator.newBanter("winbattle")
	banter.addLine("So you're a robot? I studied some AI back in uni, you know.", "conrad")
	banter.addLine("THIS INFORMATION IS IRRELEVANT TO THE MISSION", "stolenrobot")
	banter.addLine("It's totally relevant! Lemme tinker around a bit and upgrade you!", "conrad")
	banter.addLine("TRULY THAT IS A TERRIBLE IDEA", "stolenrobot")
	banter.addLine("Come ooonnnn open the panel where you keep your... bits.", "conrad")
	banter.addLine("CEASE DOCKING ATTEMPT RIGHT IMMEDIATE - BZZT", "stolenrobot")

	
	generator.newBanter("destroycolony")
	banter.addLine("KABOOOM! That was awesome!", "conrad")
	banter.addLine("KABOOM IS MY FAVORITE", "stolenrobot")
	
		--bea

		--dovell
	generator.newBanter("winbattle")
	banter.addLine("Aw yeah, look at all those shiny points! It's upgrade time!", "conrad")
	banter.addLine("Focus on fixing damage, not adding to it.", "dovell")
		
		--egrace
		
		--hero
	
		--lias
	
		--minat
	
		--realhuman
	generator.newBanter("winbattle")
	banter.addLine("So, like, are you real or just a bot?", "conrad")
	banter.addLine("Tee hee what do you think. ;)", "realhuman")
	banter.addLine("Well, the Turing test is largely junk. When you actually try to break down consciousness, things get murky fast.", "conrad")
	banter.addLine("I didn't understand that. Could you rephrase it? ;)", "realhuman")
	banter.addLine("Look at the brain- it's just bags of electricity via salt water! Why should it have this emergent inner experience?", "conrad")
	banter.addLine("So to say that consciousness is impossible for electricity via silicon doesn't follow.", "conrad")
	banter.addLine("I didn't understand that. Could you rephrase it? ;)", "realhuman")
	banter.addLine("...that said, maybe there's something that could be said for the Turing test after all.", "conrad")

	-- DOVELL
	
	
	
	generator.newBanter("destroycolony")
	banter.addLine("Well... better those chaps than us, right?", "dovell")
	banter.addLine("JUSTICE WILL CONTINUE TO BE SERVED", "stolenrobot")
	
		--bea
	
		--conrad
	generator.newBanter("winbattle")
	banter.addLine("Look at all the damage to the hull! This is a disgrace.", "dovell")
	banter.addLine("Ooh lemme fix it!", "conrad")
	banter.addLine("Hands to yourself, boy.", "dovell")
	
	generator.newBanter("winbattle")
	banter.addLine("There is the most charming breakfast nook in this galley! And it's clean!", "dovell")
	banter.addLine("Make me pancakes, grandpa!", "conrad")
	banter.addLine("Cheeky brat.", "dovell")
		
		--egrace
	generator.newBanter("winbattle")
	banter.addLine("This tea is amazing!", "egrace")
	banter.addLine("Finally, somebody who can appreciate good taste.", "dovell")
	
	generator.newBanter("winbattle")
	banter.addLine("Is... is that a working model S15 Orion thruster? Good lord, I'm torn between terror and awe. How has that not killed us all?", "dovell")
	banter.addLine("Well, after I blew my budget on the 'scope, there weren't many other options.", "egrace")
	banter.addLine("It's fine though! I just need to keep an eye on the power output and control rod depth.", "egrace")
	banter.addLine("WAIT SHOULD WE BE WORRIED I HAVE BECOME CONCERNED", "stolenrobot")
	banter.addLine("Oh, don't bother being worried. We can go on living happily. Until we're not.", "dovell")
	
		--hero
	
		--lias
	
		--minat
	generator.newBanter("winbattle")
	banter.addLine("Would somebody mind explaining why my kitchenette has three crates of sea-salt-scented soap bars?", "dovell")
	banter.addLine("DEEP DISCOUNTS WERE OFFERED FOR FORWARDING TO THREE ADDITIONAL INDIVIDUALS", "stolenrobot")
	banter.addLine("I see. And so, of course, logically, you put me down as all three individuals.", "dovell")
	banter.addLine("No refunds!", "minat")


		--realhuman
	
	-- E GRACE
	generator.newBanter("winbattle")
	banter.addLine("MWHAHAHAHA BURN, BURN LIKE A TYPE II SUPERNOVA.", "egrace")
	banter.addLine("That is to say, I wish for your internal material to be violently ejected into the interstellar medium.", "egrace")
	
	generator.newBanter("destroycolony")
	banter.addLine("...good, one less spot of noise.", "egrace")
	
		--bea
	generator.newBanter("winbattle")
	banter.addLine("Awww, your lil' buddies are so cute. Can I pet them?", "egrace")
	banter.addLine("With caution, dearie, vlermids tend to explode.", "beatrix")
	banter.addLine("OOOOOOOH!", "egrace")
	
		--conrad
	generator.newBanter("winbattle")
	banter.addLine("Oh, is that a telescope you have there?", "conrad")
	banter.addLine("Well, sort of. It's actually a modification of standard wide-range electromagnetic-", "egrace")
	banter.addLine("Yeah! I know all about telescopes, I learned in scouts. See, that there is Orion's belt...", "conrad")
	banter.addLine("Uh-huh.", "egrace")
	banter.addLine("And to get really good focus, you have to move the knob reeeeeally slowly...", "conrad")
	banter.addLine("So where did you get this, anyway? Is it your boyfriend's or someth- WHOA! That beam almost hit me!", "conrad")
	banter.addLine("YOU DON'T SAY. HOW CLUMSY OF ME.", "egrace")
	banter.addLine("Haha, don't get mad! You have to learn to relax!", "conrad")
	banter.addLine("I WILL BURN YOUR SHIP DOWN TO THE SUPERNOVA DUST WHENCE IT CAME.", "egrace")
		
		--dovell
	
		--hero

	
		--lias
	generator.newBanter("winbattle")
	banter.addLine("You write poetry, right? You seem like somebody who would.", "egrace")
	banter.addLine("Actually, at the moment I'm in the midst of a post-post-structuralist crisis, if you will.", "lias")
	banter.addLine("What is the point of art when you know it will never find an audience?", "lias")
	banter.addLine("Um, right. Well, want to go graffiti the surface of that moon from orbit?", "egrace")
	banter.addLine("Hmm. That gives me a couple of ideas... let's go.", "lias")
	


		--minat

		--realhuman
	
	-- HERO
	
	generator.newBanter("winbattle")
	banter.addLine("when do i level up", "hero")

		--bea
	generator.newBanter("winbattle")
	banter.addLine("not bad! whats your build?", "hero")
	banter.addLine("You are fine warrior yourself! However, I have seen your... exuberance in battle leave you vulnerable.", "beatrix")
	banter.addLine("Try to temper yourself with caution, ship-sibling, lest your head become a plaything for my beasts.", "beatrix")
	banter.addLine("haha wow you really staying in character seriously! OK, uh, yonder forthwith more vile fiends!", "hero")
	
		--conrad
	generator.newBanter("winbattle")
	banter.addLine("do we split loot or are u NPCs", "hero")
	banter.addLine("Wait, what do neutron-proton cannons have to do with this?", "conrad")

	generator.newBanter("winbattle")
	banter.addFreeCharacter("pilot")
	banter.addFreeCharacter("system")
	banter.addLine("Hey dude! Did you know that if you press Alt-F4 it deactivates the factory safeties on your guns?", "conrad")
	banter.addLine("Your attempts at trolling are just sad. That hasn't worked on anyone since like the 90s. Besides-", "hero")
	banter.addLine("< CONTROL HAS DISCONNECTED >", "system")
	banter.addLine("...", "hero")
	banter.addLine("Is this working? I don't think I have much time.", "pilot")
	banter.addLine("Something isn't right. I keep getting messages from the 'vile nemesis' but Control is blocking them.", "pilot")
	banter.addLine("I don't see any choice besides to keep fighting, but I need you to", "pilot")
	banter.addLine("< CONTROL HAS RECONNECTED >", "system")
	banter.addLine("CONRAD HUMAN, YOUR DECEIT HAS BEEN NOTED. ALL HIGH SCORES HAVE BEEN PURGED.", "conrad")
	
		--dovell
		
		--egrace
	generator.newBanter("winbattle")
	banter.addLine("If I click on the character portraits enough, maybe they'll tell me cheats.", "hero")
	banter.addLine("Nothing you say makes sense! What are you even saying?", "egrace")
	banter.addLine("Shut up! I'll show you! Uh... 'power overwhelming'?", "hero")
	
		--lias
	generator.newBanter("winbattle")
	banter.addLine("how do i repair", "hero")
	banter.addLine("I have no idea how you are still alive.", "lias")
	
		--minat
		
		--realhuman
	generator.newBanter("winbattle")
	banter.addLine("U R CUTE LOL", "realhuman")
	banter.addLine("lol thx asl?", "hero")
	banter.addLine("CHECK OUT MY PAGE FOR MORE PICS", "realhuman")
	banter.addLine("i cant see your page", "hero")
	banter.addLine("how do i get there?", "hero")
	
	-- LIAS
	generator.newBanter("winbattle")
	banter.addLine("I- I'm alive? Wasn't expecting to make it out of that...", "lias")
	
	generator.newBanter("destroycolony")
	banter.addLine("We practically did them a favor. A quick death, surrounded by friends and family...", "lias")
	banter.addLine("Nothing like that waiting for us. No future, no hope, nothing.", "lias")
	banter.addLine("EDEN IS THE FUTURE", "stolenrobot")
	
	generator.newBanter("destroycolony")
	banter.addLine("...what kind of power trip are you on?", "lias")
	banter.addLine("NEGATIVE POWER IS IN THE PILOT SHE SERVES REVENGE DISHES", "stolenrobot")
	banter.addLine("There’s somebody else in there? Why can’t we see her?", "lias")
	banter.addLine("CHHHSZK COMMUNICATIONS ANTENNA DAMAGED SCHHHHHSSH", "stolenrobot")
	banter.addLine("INTERNAL COMLINK IMPOSSIBLE AND BESIDES SHE IS BUSY AND DOES NOT WISH TO TALK TO YOU", "stolenrobot")
	banter.addLine("BZZZZ YOU ARE BREAKING UP BYE BEEP BEEP BEEP", "stolenrobot")
	
	generator.newBanter("destroycolony")
	banter.addLine("How did it come to this? Destruction on this scale... this isn't what we set out to do.", "lias")
	
		--bea
	generator.newBanter("winbattle")
	banter.addLine("I don't know if it's appropriate to ask, but are those tattoos, or...?", "lias")
	banter.addLine("Do not fret, ship-sibling! What do you wish to know?", "beatrix")
	banter.addLine("I've seen them glow blue sometimes when you're near your vlermids. Are you talking to them?", "lias")
	banter.addLine("Communication is a strange thing. To grasp across the void and touch another mind through sight, though sound...", "beatrix")
	banter.addLine("It is difficult enough when two share a biology! Especially when we are limited to such crude sensations.", "beatrix")
	banter.addLine("So they're just sensory implants? What's that like?", "lias")
	banter.addLine("Ha! It is like everything else, it feels like being alive!", "beatrix")


		--conrad
	
		--dovell
		
		--egrace
		
		--hero
	
		--lias

		--minat
		
		--realhuman
	
	-- MINAT
	
	generator.newBanter("destroycolony")
	banter.addLine("Do you think we could eat them? They're all crispy now, just the way I like it!", "minat")
	
		--bea
	
		--conrad
	
		--dovell
		
		--egrace
		
		--hero
	
		--lias
		
		--realhuman
		
	generator.newBanter("winbattle")
	banter.addFreeCharacter("pilot")
	banter.addLine("HOT SINGLES IN YOUR AREA CLICK HERE", "realhuman")
	banter.addLine("An advertisement bot! Just what I need. Now where's that link...", "minat")
	banter.addLine("PAYMENT CONFIRMATION RECEIVED: ##### THANK YOU FOR YOUR BUSINESS", "realhuman")
	banter.addLine("HOT SOAP IN YOUR AREA CLICK HERE", "realhuman")
	banter.addLine("ONE WEIRD SOAP BAR INVENTED BY LOCAL HOUSEWIFE THAT THE GOVERNMENT DOESN'T WANT YOU TO KNOW", "realhuman")
	banter.addLine("YOU WILL NOT BELIEVE WHAT I FOUND IN THIS BAR OF SOAP CLICK HERE", "realhuman")
	banter.addLine("15 HOT DOMESTIC TIPS FOR USING THE BEST SOAP", "realhuman")
	banter.addLine("DON'T DROP THE SOAP! AN INSIDER'S GUIDE TO THE BIZ", "realhuman")
	banter.addLine("HOT SOAP IN YOUR AREA CLICK HERE", "realhuman")
	banter.addLine("ONE WEIRD SOAP BAR INVENTED BY LOCAL HOUSEWIFE THAT THE GOVERNMENT DOESN'T WANT YOU TO KNOW", "realhuman")
	banter.addLine("YOU WILL NOT BELIEVE WHAT I FOUND IN THIS BAR OF SOAP CLICK HERE", "realhuman")
	banter.addLine("15 HOT DOMESTIC TIPS FOR USING THE BEST SOAP", "realhuman")
	banter.addLine("DON'T DROP THE SOAP! AN INSIDER'S GUIDE TO THE BIZ", "realhuman")
	banter.addLine("HOT SOAP IN YOUR AREA CLICK HERE", "realhuman")
	banter.addLine("ONE WEIRD SOAP BAR INVENTED BY LOCAL HOUSEWIFE THAT THE GOVERNMENT DOESN'T WANT YOU TO KNOW", "realhuman")
	banter.addLine("YOU WILL NOT BELIEVE WHAT I FOUND IN THIS BAR OF SOAP CLICK HERE", "realhuman")
	banter.addLine("15 HOT DOMESTIC TIPS FOR USING THE BEST SOAP", "realhuman")
	banter.addLine("DON'T DROP THE SOAP! AN INSIDER'S GUIDE TO THE BIZ", "realhuman")
	banter.addLine("HOT SOAP IN - bzzt", "realhuman")
	banter.addLine("- riding on a carrier wave. Don't know if anyone can hear me.", "pilot")
	banter.addLine("This godawful computer is basically holding me hostage. The only survivors seem to have been lunatics, robots, and aliens.", "pilot")
	banter.addLine("We're waging a war against the life forms that destroyed Earth. Ironically, that's sort of what I signed up for, but not like this...", "pilot")
	banter.addLine("YOU WILL NOT BELIEVE WHAT I FOUND IN THIS BAR OF SOAP! YOU! WILL! NOT!", "realhuman")
	
	-- REALHUMAN
	
		--bea
	
		--conrad
	
		--dovell
		
		--egrace
		
		--hero
	
		--lias
	
		--minat
	
	
	
	
end